Table of contents
Official Content
  • This documentation is valid for:

This API provides access to the data and metrics available in the Platform tab in Adoption Dashboard.

Check the generic variables needed to use the API.

Endpoints

Method Path Description
GET /analytics/lab/projects-created Returns the total number of projects created.
GET /analytics/lab/agents-created-and-modified Returns the total number of Agents created or modified.
GET /analytics/lab/processes-created-and-modified Provides the total number of Agentic Processes created or modified.
GET /analytics/lab/flows-created-and-modified Returns the total number of flows created or modified.
GET /analytics/lab/projects-created-per-day Returns the number of created projects per day.
GET /analytics/lab/agents-created-and-modified-per-day Returns the number of created and modified Agents per day.
GET /analytics/lab/processes-created-and-modified-per-day Returns the number of Agentic Processes created and modified per day.
GET /analytics/lab/flows-created-and-modified-per-day Returns the number of created and modified flows per day.

Authentication

All endpoints require authentication using one of the following:

  • Authorization: Bearer $GEAI_APITOKEN
  • Authorization: Bearer $OAuth_accesstoken

For $OAuth_accesstoken, you must also include the header: ProjectId: $PROJECT_ID (otherwise, this and OrganizationId:$ORGANIZATION_ID headers are optional) Some endpoints may require additional headers such as:

  • Content-Type: application/json

GET /analytics/lab/projects-created

Returns the total number of projects created, supporting platform adoption and growth analysis.

Parameters

Name Type Description
startDate string Start date for the query (YYYY-MM-DD)
endDate string End date for the query (YYYY-MM-DD)

Request

  • Method: GET
  • Path: $BASE_URL/v1/analytics/lab/projects-created
  • Body: Empty

Response

{
  "createdProjects": integer                                                // number of projects created in the period.
}

cURL Sample

curl -X GET "$BASE_URL/v1/analytics/lab/projects-created?startDate=2024-01-01&endDate=2024-01-31" \
  -H "Authorization: Bearer $GEAI_APITOKEN" \
  -H "Content-Type: application/json" \
  -H "OrganizationId: $ORGANIZATION_ID" \
  -H "ProjectId: $PROJECT_ID"

GET /analytics/lab/agents-created-and-modified

Returns the total number of Agents created or modified, supporting Agent lifecycle and development activity tracking.

Parameters

Name Type Description
startDate string Start date for the query (YYYY-MM-DD)
endDate string End date for the query (YYYY-MM-DD)

Request

  • Method: GET
  • Path: $BASE_URL/v1/analytics/lab/agents-created-and-modified
  • Body: Empty

Response

{
  "createdAgents":  integer,        // number of Agents created.
  "modifiedAgents": integer     // number of Agents modified.
}

cURL Sample

curl -X GET "$BASE_URL/v1/analytics/lab/agents-created-and-modified?startDate=2024-01-01&endDate=2024-01-31" \
  -H "Authorization: Bearer $GEAI_APITOKEN" \
  -H "Content-Type: application/json" \
  -H "OrganizationId: $ORGANIZATION_ID" \
  -H "ProjectId: $PROJECT_ID"

GET /analytics/lab/processes-created-and-modified

Provides the total number of Agentic Processes created or modified, supporting process management and workflow analysis.

Parameters

Name Type Description
startDate string Start date for the query (YYYY-MM-DD)
endDate string End date for the query (YYYY-MM-DD)

Request

  • Method: GET
  • Path: $BASE_URL/v1/analytics/lab/processes-created-and-modified
  • Body: Empty

Response

{
  "createdProcesses": integer,                                   // Number of Agentic Processes created.
  "modifiedProcesses": integer                                  // Number of Agentic Processes modified.
}

cURL Sample

curl -X GET "$BASE_URL/v1/analytics/lab/processes-created-and-modified?startDate=2024-01-01&endDate=2024-01-31" \
  -H "Authorization: Bearer $GEAI_APITOKEN" \
  -H "Content-Type: application/json" \
  -H "OrganizationId: $ORGANIZATION_ID" \
  -H "ProjectId: $PROJECT_ID"

GET /analytics/lab/flows-created-and-modified

Returns the total number of flows created or modified, supporting flow lifecycle and adoption tracking.

Parameters

Name Type Description
startDate string Start date for the query (YYYY-MM-DD)
endDate string End date for the query (YYYY-MM-DD)

Request

  • Method: GET
  • Path: $BASE_URL/v1/analytics/lab/flows-created-and-modified
  • Body: Empty

Response

{
  "createdFlows": integer,          // number of Flows created.
  "modifiedFlows": integer          // number of flows modified.
}

cURL Sample

curl -X GET "$BASE_URL/v1/analytics/lab/flows-created-and-modified?startDate=2024-01-01&endDate=2024-01-31" \
  -H "Authorization: Bearer $GEAI_APITOKEN" \
  -H "Content-Type: application/json" \
  -H "OrganizationId: $ORGANIZATION_ID" \
  -H "ProjectId: $PROJECT_ID"

GET /analytics/lab/projects-created-per-day

Returns the number of created projects per day.

Parameters

Name Type Description
startDate string Start date for the query (YYYY-MM-DD)
endDate string End date for the query (YYYY-MM-DD)

Request

  • Method: GET
  • Path: $BASE_URL/v1/analytics/lab/projects-created-per-day
  • Body: Empty

Response

{
  "projects": [
    {
      "date": "string",                                                  // Date in YYYY-MM-DD.
      "created": integer                             // Number of projects created on the specific date.
    }
  ]
}

cURL Sample

curl -X GET "$BASE_URL/v1/analytics/lab/projects-created-per-day?startDate=2024-01-01&endDate=2024-01-31" \
  -H "Authorization: Bearer $GEAI_APITOKEN" \
  -H "Content-Type: application/json" \
  -H "OrganizationId: $ORGANIZATION_ID" \
  -H "ProjectId: $PROJECT_ID"

GET /analytics/lab/agents-created-and-modified-per-day

Returns the number of created and modified Agents per day.

Parameters

Name Type Description
startDate string Start date for the query (YYYY-MM-DD)
endDate string End date for the query (YYYY-MM-DD)

Request

  • Method: GET
  • Path: $BASE_URL/v1/analytics/lab/agents-created-and-modified-per-day
  • Body: Empty

Response

{
  "agents": [
       {
      "date": "string",             // date in YYYY-MM-DD.
      "created": integer,       // Agents created on the date.
      "Modified": integer       // Agents modified on the date.
    }
  ]
}

cURL Sample

curl -X GET "$BASE_URL/v1/analytics/lab/agents-created-and-modified-per-day?startDate=2024-01-01&endDate=2024-01-31" \
  -H "Authorization: Bearer $GEAI_APITOKEN" \
  -H "Content-Type: application/json" \
  -H "OrganizationId: $ORGANIZATION_ID" \
  -H "ProjectId: $PROJECT_ID"

GET /analytics/lab/processes-created-and-modified-per-day

Returns the number of created and modified Agentic Processes per day in the selected period.

Parameters

Name Type Description
startDate string Start date for the query (YYYY-MM-DD)
endDate string End date for the query (YYYY-MM-DD)

Request

  • Method: GET
  • Path: $BASE_URL/v1/analytics/lab/processes-created-and-modified-per-day
  • Body: Empty

Response

{
  "processes": [
    {
      "created": integer,                                   // Agentic Processes created on the date.
      "date": "string",                                           // Date in YYYY-MM-DD.
      "modified": integer                                 // Agentic Processes modified on the date.
    }
  ]
}

cURL Sample

curl -X GET "$BASE_URL/v1/analytics/lab/processes-created-and-modified-per-day?startDate=2024-01-01&endDate=2024-01-31" \
  -H "Authorization: Bearer $GEAI_APITOKEN" \
  -H "Content-Type: application/json" \
  -H "OrganizationId: $ORGANIZATION_ID" \
  -H "ProjectId: $PROJECT_ID"

GET /analytics/lab/flows-created-and-modified-per-day

Returns the number of created and modified flows per day.

Parameters

Name Type Description
startDate string Start date for the query (YYYY-MM-DD)
endDate string End date for the query (YYYY-MM-DD)

Request

  • Method: GET
  • Path: $BASE_URL/v1/analytics/lab/flows-created-and-modified-per-day
  • Body: Empty

Response

{
  "data": [
    {
      "date": "string",                                     // Date in YYYY-MM-DD.
      "created": integer,                       // Flows created on the date.
      "modified": integer                      // Flows modified on the date.
    }
  ]
}

cURL Sample

curl -X GET "$BASE_URL/v1/analytics/lab/flows-created-and-modified-per-day?startDate=2024-01-01&endDate=2024-01-31" \
  -H "Authorization: Bearer $GEAI_APITOKEN" \
  -H "Content-Type: application/json" \
  -H "OrganizationId: $ORGANIZATION_ID" \
  -H "ProjectId: $PROJECT_ID"

Availability

Since version 2025-09.

Last update: December 2025 | © GeneXus. All rights reserved. GeneXus Powered by Globant